summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>2015-06-28 08:37:08 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-28 11:34:52 +0700
commit1e24d498e7a48f109b117fd84e9e59f8e199a446 (patch)
tree0dbb337679c3782f024f385a56cb117fae90f157
parentae036218eb5b40efaf727e466ed931011b3ff3c8 (diff)
downloadslackbuilds-1e24d498e7a48f109b117fd84e9e59f8e199a446.tar.gz
slackbuilds-1e24d498e7a48f109b117fd84e9e59f8e199a446.tar.xz
network/pidgin-skypeweb: Added (SkypeWeb Chat for Pidgin).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/pidgin-skypeweb/README5
-rw-r--r--network/pidgin-skypeweb/pidgin-skypeweb.SlackBuild99
-rw-r--r--network/pidgin-skypeweb/pidgin-skypeweb.info10
-rw-r--r--network/pidgin-skypeweb/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/network/pidgin-skypeweb/README b/network/pidgin-skypeweb/README
new file mode 100644
index 0000000000..1739ea1fe1
--- /dev/null
+++ b/network/pidgin-skypeweb/README
@@ -0,0 +1,5 @@
+Adds Skype client-less chat (text only) to Pidgin.
+Based on the SkypeWeb protocol. Has many features already, such as group chat.
+
+A copy of the of the GitHub repo is hosted on my website, dated with the last commit date (will be updated weekly).
+I only have mirrored it and made a tarball of the skypeweb folder (rather than the whole repo). Nothing else was changed.
diff --git a/network/pidgin-skypeweb/pidgin-skypeweb.SlackBuild b/network/pidgin-skypeweb/pidgin-skypeweb.SlackBuild
new file mode 100644
index 0000000000..7073c59c4d
--- /dev/null
+++ b/network/pidgin-skypeweb/pidgin-skypeweb.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for SkypeWeb Chat for Pidgin
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# Chunks from Facebook Chat for Pidgin's Slackbuild by Erik W. Hanson Copyright 2009-2010
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pidgin-skypeweb
+VERSION=${VERSION:-26062015}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build plugin
+make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/purple-2
+install -m 0755 libskypeweb.so $PKG/usr/lib${LIBDIRSUFFIX}/purple-2/libskypeweb.so
+
+# Move protocol icons into place
+mkdir -p $PKG/usr/share/pixmaps/pidgin/protocols/{16,22,48}
+install -m 0644 icons/16/skype.png $PKG/usr/share/pixmaps/pidgin/protocols/16/skype.png
+install -m 0644 icons/22/skype.png $PKG/usr/share/pixmaps/pidgin/protocols/22/skype.png
+install -m 0644 icons/48/skype.png $PKG/usr/share/pixmaps/pidgin/protocols/48/skype.png
+install -m 0644 icons/16/skypeout.png $PKG/usr/share/pixmaps/pidgin/protocols/16/skypeout.png
+install -m 0644 icons/22/skypeout.png $PKG/usr/share/pixmaps/pidgin/protocols/22/skypeout.png
+install -m 0644 icons/48/skypeout.png $PKG/usr/share/pixmaps/pidgin/protocols/48/skypeout.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md gpl3.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pidgin-skypeweb/pidgin-skypeweb.info b/network/pidgin-skypeweb/pidgin-skypeweb.info
new file mode 100644
index 0000000000..1e8592574c
--- /dev/null
+++ b/network/pidgin-skypeweb/pidgin-skypeweb.info
@@ -0,0 +1,10 @@
+PRGNAM="pidgin-skypeweb"
+VERSION="26062015"
+HOMEPAGE="https://github.com/EionRobb/skype4pidgin/tree/master/skypeweb"
+DOWNLOAD="http://www.bloodbathsoftworks.com/xylemon/uploads/sbomirrors/pidgin-skypeweb-26062015.tar.gz"
+MD5SUM="62d127965d361acf2aac0589da159b5b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="json-glib"
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"
diff --git a/network/pidgin-skypeweb/slack-desc b/network/pidgin-skypeweb/slack-desc
new file mode 100644
index 0000000000..6c10031973
--- /dev/null
+++ b/network/pidgin-skypeweb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+pidgin-skypeweb: pidgin-skypeweb (SkypeWeb Chat for Pidgin)
+pidgin-skypeweb:
+pidgin-skypeweb: Adds Skype client-less chat to Pidgin. Based on the SkypeWeb protocol.
+pidgin-skypeweb: Has many features already, such as group chat.
+pidgin-skypeweb:
+pidgin-skypeweb: Homepage: https://github.com/EionRobb/skype4pidgin/tree/master/skypeweb
+pidgin-skypeweb:
+pidgin-skypeweb:
+pidgin-skypeweb:
+pidgin-skypeweb:
+pidgin-skypeweb: